Activate a diagnostic test
Activates the DiagnosticTest for the provided specimen code. If the specimen already exists on the test it is updated, otherwise it is created during activation.
Activates the DiagnosticTest for the provided specimen code. If the specimen already exists on the test it is updated, otherwise it is created during activation.
Authorization
apiKey In: header
Path Parameters
DiagnosticTestActivateInput identifier
Header Parameters
Language for Errors and Translatable properties
Allowed values: "de", "en", "fr"
The new DiagnosticTestActivateInput resource
TypeScript Definitions
Use the request body type in TypeScript.
Laboratory specimen code or sample identifier.
Date when the specimen was collected.
Time of day when the specimen was collected.
Optional menstrual phase reported at collection time, when applicable.
Allowed values: "follikel", "ovulation", "luteal", "menopause", null
Patient gender.
Allowed values: "M", "F", "D", "X"
Patient date of birth.
Allowed values: "GKV", "PKV", null
The insurer assigned ID for the Subscriber.
Response Body
curl -X POST "https://example.com/v1/diagnostic_tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/activate" \ -H "accept-language: de" \ -H "Content-Type: application/json" \ -d '{ "specimenCode": "string", "collectionDate": "2019-08-24", "collectionTime": "string", "gender": "M", "dateOfBirth": "2019-08-24" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "diagnosticOrder": "/entity/1", "diagnosticProduct": "/entity/1", "testResults": [ "/entity/1" ], "patient": { "email": "user@example.com", "firstName": "string", "lastName": "string", "gender": "M", "dateOfBirth": "2019-08-24", "healthInsuranceDetails": { "countryCode": "string", "provider": "string", "healthInsuranceTypeDE": "GKV", "subscriberIdentifier": "string" } }, "specimens": [ { "specimenCode": "string", "createdAt": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24", "collectionTime": "string", "menstrualPhaseAtCollection": "follikel" } ], "shipmentTracking": { "provider": "DHL", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "trackingCode": "string", "url": "string", "shipmentStatus": "confirmed", "providerStatus": "string", "rawProviderHistory": [ "string" ] }, "activatedAt": "2019-08-24T14:15:22Z", "labIntakeAt": "2019-08-24T14:15:22Z", "replacementDiagnosticTest": "/entity/1", "replacesDiagnosticTest": "/entity/1", "canceledAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z"}Download a document file GET
Returns the document as a binary file download. The response body is raw binary data, not JSON. Content negotiation is not used for this endpoint, and the `Accept` header is ignored. Use the response `Content-Type` and `Content-Disposition` headers to determine the actual file type and filename.
Create or update outbound shipment tracking for a diagnostic order POST
Creates or updates shipment tracking for the FulfillmentCenter -> Customer shipment of the DiagnosticOrder.